@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

@font-face {
  font-family: font;
  src: url(./fonts/big_noodle_titling.woff);
}

.noodle {
  font-family: font;
}

* {
  box-sizing: border-box;
  outline: none;
  font-family: "Inter", sans-serif;
  scroll-behavior: smooth;
  font-weight: 400;
  color: #262626;
}

:root {
  --black-color: #1e1c1c;
  --white-color: #f7f7f7;
}

img,
button,
iframe,
a {
  user-select: none;
}

.slidein {
  animation: slideAnimation 1s ease var(--slidein-delay, 0) forwards;
}

@keyframes slideAnimation {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.navUnderLine {
  position: relative;
  padding: 0 2px;
  cursor: pointer;
}

.navUnderLine::before {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 0%;
  height: 2px;
  background-color: #fff;
  transition: 200ms all;
}

.navUnderLineActive {
  position: relative;
  padding: 0 2px;
  cursor: pointer;
}

.navUnderLineActive::before {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #fff;
  transition: 200ms all;
}

.navUnderLine:hover::before {
  width: 100%;
}

.fadeIn {
  animation: fadeIn 1s;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.fastFadeIn {
  animation: fadeIn 0.5s;
}

@keyframes fastFadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.myShadow {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

/* =========scroll bar================= */

.popup::-webkit-scrollbar {
  height: 10px;
  width: 10px;
  transition: 400ms all;
}

.popup::-webkit-scrollbar-thumb {
  transition: 400ms all;
  border-radius: 1rem;
  background-color: #00000026;
}

.popup::-webkit-scrollbar-thumb:hover {
  background-color: #00000033;
}

.popup::-webkit-scrollbar-thumb:active {
  transition: 400ms all;
  background-color: #00000033;
}

/* =========scroll bar================= */

input:user-invalid {
  border: 1.5px solid rgba(255, 0, 0, 0.416);
}

.homebg {
  background: linear-gradient(rgba(0, 0, 0, 0.336), rgba(0, 0, 0, 0.253)),
    url(./assets/homebg.jpg) center/cover no-repeat;
  filter: grayscale();
}

#success-message {
  animation: fadeIn 0.5s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
